# $Revision: 1.31 $, $Date: 2012/05/05 20:12:05 $
Summary:	Balancing of IRQs between multiple CPUs
Summary(pl.UTF-8):	Rozdzielanie IRQ pomiędzy wiele procesorów
Name:		irqbalance
Version:	1.0.3
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://irqbalance.googlecode.com/files/irqbalance-1.0.3.tar.gz
# Source0-md5:	6f246481d6295bcb9a79751c03207c96
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.service
URL:		http://code.google.com/p/irqbalance/
BuildRequires:	glib2-devel
# due to -fpie
BuildRequires:	gcc >= 5:3.4
BuildRequires:	libcap-ng-devel
BuildRequires:	numactl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.647
BuildRequires:	xorg-util-gccmakedep
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	rc-scripts
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%description -l pl.UTF-8
Narzędzie do rozdzielania przerwań IRQ pomiędzy wiele procesorów
w celu zwiększenia wydajności systemu.

%prep
%setup -q

%build
%configure \
	--with-libcap-ng=yes

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{systemdunitdir} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add irqbalance
%service irqbalance restart "irqbalance daemon"
%systemd_post irqbalance.service

%preun
if [ "$1" = "0" ]; then
	%service irqbalance stop
	/sbin/chkconfig --del irqbalance
fi
%systemd_preun irqbalance.service

%postun
%systemd_reload

%triggerpostun -- irqbalance < 0.55-4
%systemd_trigger irqbalance.service

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/irqbalance
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{systemdunitdir}/irqbalance.service
%{_mandir}/man1/irqbalance.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irqbalance.spec,v $
Revision 1.31  2012/05/05 20:12:05  arekm
- up to 1.0.3

Revision 1.30  2012/04/17 17:24:28  baggins
- rel 6
- added systemd deps

Revision 1.29  2012/02/28 18:54:30  arekm
- release 5

Revision 1.28  2012/02/06 08:33:07  blues
- missing trigger

Revision 1.27  2012/02/05 23:17:16  blues
- rel.4 - systemd support

Revision 1.26  2010/05/22 16:39:49  gotar
- fixed Group

Revision 1.25  2009/09/07 15:47:31  adamg
- BR: pkgconfig

Revision 1.24  2009/03/13 19:32:04  arekm
- rel 3; cputree patch from fc

Revision 1.23  2008/07/27 23:05:22  arekm
- release 2

Revision 1.22  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.20  2006/12/13 18:47:00  glen
- blah

Revision 1.19  2006/12/13 16:12:56  arekm
- up to 0.55

Revision 1.18  2006/08/19 19:34:41  qboosh
- include pie patch, pass LDFLAGS

Revision 1.17  2006/08/11 10:23:59  blues
- license changed (acc. Changelog), let the source be on some URL.

Revision 1.16  2006/08/11 10:02:05  blues
- 0.13 - taken from FC6, plus 3 new patches from them

Revision 1.15  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.14  2006/05/21 16:14:20  glen
- rel 2

Revision 1.13  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.12  2004/12/01 01:27:34  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.11  2004/11/27 18:38:40  darekr
- updated to 0.12

Revision 1.10  2004/10/31 17:56:43  darekr
- updated to 0.10

Revision 1.9  2004/02/23 21:22:53  qboosh
- updated to 0.09

Revision 1.8  2004/01/27 20:36:47  arekm
- added initscript

Revision 1.7  2004/01/25 09:54:26  ankry
- rel. 2

Revision 1.6  2004/01/25 09:52:20  ankry
- added man page

Revision 1.5  2003/12/15 00:11:00  qboosh
- 0.08, updated opt patch

Revision 1.4  2003/07/14 09:06:22  qboosh
- added opt patch, pass CC and OPT

Revision 1.3  2003/07/13 22:23:36  qboosh
- pl

Revision 1.2  2003/07/11 23:25:07  arekm
- fix md5

Revision 1.1  2003/07/11 22:25:44  arekm
- initial pld release
